Package org.jcsp.net.settings

# Class LinkProfiles

java.lang.Object
org.jcsp.net.settings.LinkProfiles

public class LinkProfiles extends Object
Used internally within the JCSP network infrastructure to represent a set of link profiles.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`LinkProfiles()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProfile(LinkProfile p)`
`LinkProfile`
`getLastProfile()`
`LinkProfile`
`getProfile(String name)`
`LinkProfile[]`
`getProfiles()`
`void`
`removeProfile(LinkProfile p)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LinkProfiles

public LinkProfiles()

## Method Details

### addProfile

public void addProfile(LinkProfile p)

### removeProfile

public void removeProfile(LinkProfile p)

### getProfile

public LinkProfile getProfile(String name)

### getProfiles

public LinkProfile[] getProfiles()

### getLastProfile

public LinkProfile getLastProfile()

### toString

public String toString()

Overrides:
  `toString` in class `Object`